com.fasterxml.jackson.databind.jsontype

## Class BasicPolymorphicTypeValidator.TypeMatcher

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.BasicPolymorphicTypeValidator.TypeMatcher

Enclosing class:
  BasicPolymorphicTypeValidator

    protected abstract static class BasicPolymorphicTypeValidator.TypeMatcher
    extends Object

General matcher interface (predicate) for validating class values (base type or resolved subtype)

### Constructor Summary

Constructors
`protected` `TypeMatcher()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `match(Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeMatcher

    protected TypeMatcher()

### Method Detail

#### match

    public abstract boolean match(Class<?> clazz)